Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMPlotOptions.JSMSeries

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMPlotOptions.JSMSeries

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, PlotOptions.Series

Enclosing class:
  JSMPlotOptions

    public static class JSMPlotOptions.JSMSeries

extends JSMBaseObject
implements PlotOptions.Series

Nested Class Summary
`static class` | `JSMPlotOptions.JSMSeries.JSMDataLabels`
`static class` | `JSMPlotOptions.JSMSeries.JSMMarker`
`static class` | `JSMPlotOptions.JSMSeries.JSMStates`

Nested classes/interfaces inherited from interface org.one2team.highcharts.shared.PlotOptions.Series
`PlotOptions.Series.DataLabels, PlotOptions.Series.Marker, PlotOptions.Series.States`

Field Summary
`java.lang.Boolean` | `allowPointSelect`
`int` | `borderWidth`
`JSMPlotOptions.JSMSeries.JSMDataLabels` | `dataLabels`
`java.lang.Double` | `fillOpacity`
`java.lang.Integer` | `lineWidth`
`PlotOptions.Series.Marker` | `marker`
`java.lang.Boolean` | `shadow`
`java.lang.String` | `stacking`
`PlotOptions.Series.States` | `states`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMPlotOptions.JSMSeries()`

Method Summary
`int` | `getBorderWidth()`
`JSMPlotOptions.JSMSeries.JSMDataLabels` | `getDataLabels()`
`double` | `getFillOpacity()`
`int` | `getLineWidth()`
`PlotOptions.Series.Marker` | `getMarker()`
`java.lang.String` | `getStacking()`
`PlotOptions.Series.States` | `getStates()`
`boolean` | `isAllowPointSelect()`
`boolean` | `isShadow()`
`JSMPlotOptions.JSMSeries` | `setAllowPointSelect(boolean allowPointSelect)`
`JSMPlotOptions.JSMSeries` | `setBorderWidth(int borderWidth)`
`JSMPlotOptions.JSMSeries` | `setFillOpacity(double fillOpacity)`
`JSMPlotOptions.JSMSeries` | `setLineWidth(int lineWidth)`
`JSMPlotOptions.JSMSeries` | `setShadow(boolean shadow)`
`JSMPlotOptions.JSMSeries` | `setStacking(java.lang.String stacking)`
`JSMPlotOptions.JSMSeries` | `setStates(PlotOptions.Series.States states)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### states

    public PlotOptions.Series.States states

### dataLabels

    public JSMPlotOptions.JSMSeries.JSMDataLabels dataLabels

### stacking

    public java.lang.String stacking

### marker

    public PlotOptions.Series.Marker marker

### allowPointSelect

    public java.lang.Boolean allowPointSelect

### shadow

    public java.lang.Boolean shadow

### lineWidth

    public java.lang.Integer lineWidth

### fillOpacity

    public java.lang.Double fillOpacity

### borderWidth

    public int borderWidth

Constructor Detail

### JSMPlotOptions.JSMSeries

    public JSMPlotOptions.JSMSeries()

Method Detail

### getStacking

    public java.lang.String getStacking()

  Specified by:
    `getStacking` in interface `PlotOptions.Series`

### isAllowPointSelect

    public boolean isAllowPointSelect()

  Specified by:
    `isAllowPointSelect` in interface `PlotOptions.Series`

### setAllowPointSelect

    public JSMPlotOptions.JSMSeries setAllowPointSelect(boolean allowPointSelect)

  Specified by:
    `setAllowPointSelect` in interface `PlotOptions.Series`

### setStacking

    public JSMPlotOptions.JSMSeries setStacking(java.lang.String stacking)

  Specified by:
    `setStacking` in interface `PlotOptions.Series`

### getMarker

    public PlotOptions.Series.Marker getMarker()

  Specified by:
    `getMarker` in interface `PlotOptions.Series`

### getFillOpacity

    public double getFillOpacity()

  Specified by:
    `getFillOpacity` in interface `PlotOptions.Series`

### setFillOpacity

    public JSMPlotOptions.JSMSeries setFillOpacity(double fillOpacity)

  Specified by:
    `setFillOpacity` in interface `PlotOptions.Series`

### getDataLabels

    public JSMPlotOptions.JSMSeries.JSMDataLabels getDataLabels()

  Specified by:
    `getDataLabels` in interface `PlotOptions.Series`

### setStates

    public JSMPlotOptions.JSMSeries setStates(PlotOptions.Series.States states)

  Specified by:
    `setStates` in interface `PlotOptions.Series`

### getStates

    public PlotOptions.Series.States getStates()

  Specified by:
    `getStates` in interface `PlotOptions.Series`

### isShadow

    public boolean isShadow()

  Specified by:
    `isShadow` in interface `PlotOptions.Series`

### getLineWidth

    public int getLineWidth()

  Specified by:
    `getLineWidth` in interface `PlotOptions.Series`

### setShadow

    public JSMPlotOptions.JSMSeries setShadow(boolean shadow)

  Specified by:
    `setShadow` in interface `PlotOptions.Series`

### setLineWidth

    public JSMPlotOptions.JSMSeries setLineWidth(int lineWidth)

  Specified by:
    `setLineWidth` in interface `PlotOptions.Series`

### setBorderWidth

    public JSMPlotOptions.JSMSeries setBorderWidth(int borderWidth)

  Specified by:
    `setBorderWidth` in interface `PlotOptions.Series`

### getBorderWidth

    public int getBorderWidth()

  Specified by:
    `getBorderWidth` in interface `PlotOptions.Series`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD